



/*  Preliminaries */

clear matrix
clear
set more off
set matsize 1000
set mem 50m


		cd 	"C:\Users\econfjt\Documents\stataprogs\Ghana_Cocoa_Panel_Survey\Ghana_Cocoa_Panel_Public_April_2013\temp"
		*global root "D:\stataprogs\Ghana_Cocoa_Panel_Survey\AZ_Drop_Box_June_2012\public"
		global root "C:\Users\econfjt\Documents\stataprogs\Ghana_Cocoa_Panel_Survey\Ghana_Cocoa_Panel_Public_April_2013"
		global data "$root\output"
		*use "D:\stataprogs\Ghana_Cocoa_Panel_Survey\AZ_Drop_Box_June_2012\public\output\panel.dta", clear
		use "$data\panel_apr13.dta", clear

//generating counters
bys s0far: gen N = _N
bys s0far: gen n = _n
//equalizing panel size: creating copies of entries such that each id has 5 rows
forvalues i = 1/5 {
	expand 6-`i' if N == `i' & n == 1, gen(v`i')
}
drop N n
//creating variable v = 0 if observation is original, 1 if copy
gen v = 0
forvalues i = 1/5 {
	replace v = 1 if v`i' == 1
}
drop v1-v5
//setting wave = . if observation is a copy
replace wave = . if v == 1
//creating vars obs1, 2, ..., 5 = 1 if id was observed for wave 1, 2, ..., 5; = 0 otherwise
forvalues i = 1/5 {
	gen o`i' = 1 if v == 0 & wave == `i'
	replace o`i' = 0 if o`i' == .
	bys s0far: egen obs`i' = max(o`i')
	drop o`i'
}
//filling up wave for copies: now every id has 5 rows, with wave going from 1 to 5 for each
forvalues i = 1/5 {
	bys s0far wave: gen i = 1 if _n == 1
	replace wave = `i' if obs`i' == 0 & i == 1 & wave == .
	drop i
}
//generating var entry = wave where first observed
gen entry = .
forvalues i = 1/5 {
	local j = 6 - `i'  
	replace entry = `j' if obs`j' == 1
}
//generating var exit = wave where first disappears (eg. person wave 1, no; 2, yes; 3, yes; 4, no; 5, no: exit = 4)
gen e = . 
replace e = wave if v == 1 & wave > entry
bys s0far: egen exit = min(e)
drop e
//generating var reentry = 1 if person exits then reenters
gen r = .
replace r = 1 if v == 0 & wave > exit
replace r = 0 if r == .
bys s0far: egen reentry = max(r)
drop r

//dropping empty recordings, and good recordings after reentry
drop if v == 1 //dropping empty recordings
drop if wave >= exit //dropping reentries
