

/*  Preliminaries */

clear matrix
clear
set more off
set matsize 1000
set mem 50m


		cd 	"C:\Users\econfjt\Documents\stataprogs\Ghana_Cocoa_Panel_Survey\Ghana_Cocoa_Panel_Public_April_2013\temp"
		*global root "D:\stataprogs\Ghana_Cocoa_Panel_Survey\AZ_Drop_Box_June_2012\public"
		global root "C:\Users\econfjt\Documents\stataprogs\Ghana_Cocoa_Panel_Survey\Ghana_Cocoa_Panel_Public_April_2013"
		global data "$root\output"
		*use "D:\stataprogs\Ghana_Cocoa_Panel_Survey\AZ_Drop_Box_June_2012\public\output\panel.dta", clear
		use "$data\panel_apr13.dta", clear

/*  1. Regression */

/* Notes onthe data 
w5 2009/10 cocoa season
w4 2007/08 cocoa season
w3 2005/06 cocoa season
w2 2003/04 cocoa season
w1 2001/02 cocoa season
*/

/*some data cleaning*/
drop if hafullprod <0.1 & hafullprod~=.
tsset s0far year
/*
by s0far:gen count=_n
bysort s0far: egen count_num=max(count)

gen miss=1 if count_num~=5
replace miss=0 if count==5
reg miss hafullprod

gen l2_s0far=l2.s0far
gen miss2=1 if f2_s0far=. 
gen d_s0far=s0far-l2.s0far
list s0far count* d_s0far if d_s0far~=2
exit
*/


sum   insecticide  hybridsland hired_days spraymch frachhdays plotcount hybridlandshare
gen ln_hafullprod=ln(hafullprod)
gen labour_check= hh_days+ paid_days+ hired_days+ nnoboa_days
gen ln_labour_check=ln(labour_check)

gen ln_kg_cocoa=ln(kg_cocoa)
reg ln_kg_cocoa w2 w3 w4 w5
reg ln_hafullprod w2 w3 w4 w5

gen prod_lab=kg_cocoa/labour_check
gen prod_land=kg_cocoa/hafullprod
gen prod_land_tot=kg_cocoa/cocoaland

gen hafullprod_lab=hafullprod/labour_check
gen lab_hafullprod=labour_check/hafullprod


gen ln_hafullprod_lab=ln(hafullprod_lab)
gen ln_lab_hafullprod=ln(lab_hafullprod)

gen ln_prod_lab=ln(prod_lab)
gen ln_prod_land=ln(prod_land)

reg ln_prod_land ln_hafullprod w2 w3 w4 w5
reg prod_land w2 w3 w4 w5

reg ln_prod_lab ln_hafullprod_lab ln_labour_check w2 w3 w4 w5
reg ln_prod_land ln_lab_hafullprod w2 w3 w4 w5
reg ln_prod_land ln_lab_hafullprod ln_hafullprod w2 w3 w4 w5

sum ln_prod_lab ln_hafullprod_lab


foreach var of varlist ln_hafullprod lnlabordays {
				gen `var'_sq=`var'^2
				}

/*
sort wave
collapse ln_prod_lab ln_hafullprod_lab prod_lab hafullprod_lab,by(wave)
*/

reg ln_prod_lab ln_hafullprod
plot ln_prod_lab ln_hafullprod_lab
histogram  ln_prod_lab
histogram ln_prod_land
histogram ln_hafullprod_lab
sort wave
by wave:sum hafullprod_lab hafullprod if hafullprod>0,detail
replace ln_prod_lab=ln(prod_lab)
replace ln_hafullprod_lab=ln(hafullprod_lab)

reg ln_prod_lab ln_hafullprod_lab

sum prod_lab prod_land  kg_cocoa labour_check hafullprod  if kg_cocoa>0 & wave==1, detail
sum prod_lab prod_land  kg_cocoa labour_check hafullprod  if kg_cocoa>0 & wave==5, detail

sum prod_land ln_prod_land ln_hafullprod if wave==1, detail
sum prod_land ln_prod_land ln_hafullprod if wave==5, detail

label var ln_prod_land "Ln of Land Productivity"

graph twoway kdensity  ln_prod_land if wave==1, ylabel(,angle(horizontal)) lpattern(-) msymbol(+) ytitle("") xtitle("Ln of Land Productivity")  ///
|| kdensity  ln_prod_land if wave==5, ylabel(,angle(horizontal)) legend(label(1 "2001/02") label(2 "2009/10"))

graph twoway kdensity  lncocoa if wave==1, ylabel(,angle(horizontal)) lpattern(-) msymbol(+) ytitle("") xtitle("Ln of Cocoa Output")  ///
|| kdensity  lncocoa if wave==5, ylabel(,angle(horizontal)) legend(label(1 "2001/02") label(2 "2009/10"))

graph twoway kdensity  ln_hafullprod if wave==1, ylabel(,angle(horizontal)) lpattern(-) msymbol(+) ytitle("") xtitle("Ln of Land Area")  ///
|| kdensity  ln_hafullprod if wave==5, ylabel(,angle(horizontal)) legend(label(1 "2001/02") label(2 "2009/10"))

graph twoway scatter  ln_prod_land ln_hafullprod if wave==1, ylabel(,angle(horizontal)) ///
|| scatter  ln_prod_land ln_hafullprod if wave==5, ylabel(,angle(horizontal))
graph twoway scatter  ln_prod_lab ln_hafullprod, ylabel(,angle(horizontal))
sum prod* kg_cocoa labour_check if kg_cocoa>0,detail

gen not_missing=lncocoa+ln_hafullprod+lnlabordays+fert_yn+insecticide+spraymch+frachhdays+plotcount+hybridlandshare
drop if not_missing==.

sort wave
by wave:sum hafullprod cocoaland prod_land_tot,detail


sort s0rgn wave
by s0rgn wave: tabstat prod_land
sum prod_land, d
tabstat prod_lab prod_land kg_cocoa labour_check  hafullprod     if kg_cocoa>0 & wave==1, s(mean p50 sd n max min)
tabstat prod_lab prod_land  kg_cocoa labour_check hafullprod     if kg_cocoa>0 & wave==2, s(mean p50 sd n max min)
tabstat prod_lab prod_land  kg_cocoa labour_check hafullprod     if kg_cocoa>0 & wave==3, s(mean p50 sd n max min)
tabstat prod_lab prod_land  kg_cocoa labour_check hafullprod     if kg_cocoa>0 & wave==4, s(mean p50 sd n max min)
tabstat prod_lab prod_land  kg_cocoa labour_check hafullprod    if kg_cocoa>0 & wave==5, s(mean p50 sd n max min)

tabstat  fert_yn insecticide spraymch frachhdays plotcount hybridlandshare  if kg_cocoa>0 & wave==1, s(mean p50 sd n)
tabstat  fert_yn insecticide spraymch frachhdays plotcount hybridlandshare  if kg_cocoa>0 & wave==2, s(mean p50 sd n)
tabstat  fert_yn insecticide spraymch frachhdays plotcount hybridlandshare  if kg_cocoa>0 & wave==3, s(mean p50 sd n)
tabstat  fert_yn insecticide spraymch frachhdays plotcount hybridlandshare if kg_cocoa>0 & wave==4, s(mean p50 sd n)
tabstat  fert_yn insecticide spraymch frachhdays plotcount hybridlandshare if kg_cocoa>0 & wave==5, s(mean p50 sd n)

kdensity prod_lab

tsset s0far wave

reg ln_prod_land l.ln_prod_land  w3 w4 w5
reg d.ln_prod_land l.ln_prod_land  w3 w4 w5

/*Diff-GMM syntax*/
xtabond2 ln_prod_land l.ln_prod_land   w3 w4 w5 , ///
gmm((ln_prod_land), lag(2 3)) ///
iv( w3 w4 w5 ,mz) robust noleveleq  twostep h(2)

/*Diff-GMM syntax*/
xtabond2 d.ln_prod_land l.ln_prod_land   w3 w4 w5 , ///
gmm((ln_prod_land), lag(2 3)) ///
iv( w3 w4 w5 ,mz) robust noleveleq  twostep h(2)

reg d.ln_prod_land l.ln_prod_land

gen lncocoa_1=l2.lncocoa
gen ln_hafullprod_1=l2.ln_hafullprod  
gen lnlabordays_1=l2.lnlabordays

reg lncocoa lncocoa_1, cluster(s0far)
reg ln_hafullprod ln_hafullprod_1, cluster(s0far)
reg lnlabordays lnlabordays_1, cluster(s0far)

sum lnlabordays ln_labour_check labour_check labordays
sort year

reg fert_yn ln_hafullprod w2 w3 w4 w5
sort wave
by wave: sum fert_yn if hafullprod<2
reg lncocoa ln_hafullprod lnlabordays fert_yn insecticide ///
spraymch frachhdays plotcount hybridlandshare ///
w2 w3 w4 w5 ,cluster(s0far)

xtreg lncocoa ln_hafullprod lnlabordays fert_yn insecticide ///
spraymch frachhdays plotcount hybridlandshare ///
w2 w3 w4 w5 ,i(s0far) fe robust

predict fe, u
sum fe
sort wave
by wave:reg lncocoa  ln_hafullprod lnlabordays frachhdays hybridlandshare plotcount spraymch ///
fert_yn  insecticide  w2 w3 w4 w5 ,cluster(s0far)

reg lncocoa  ln_hafullprod lnlabordays frachhdays hybridlandshare plotcount spraymch ///
fert_yn  insecticide  w2 w3 w4 w5 ,cluster(s0far)

gen ln_land_labor=ln_hafullprod*lnlabordays

qreg lncocoa  ln_hafullprod lnlabordays ln_hafullprod_sq lnlabordays_sq ln_land_labor frachhdays hybridlandshare plotcount spraymch ///
fert_yn  insecticide  w2 w3 w4 w5 ,quantile(0.75)

tsset s0far wave
gen d_fert_yn=d.fert_yn
reg fert_yn w2 w3 w4 w5
reg d_fert_yn fe 
reg fert_yn fe
reg fert_yn d_fert_yn fe
reg fert_yn  lnlabordays w2 w3 w4 w5
reg insecticide lnlabordays w2 w3 w4 w5
reg spraymch lnlabordays w2 w3 w4 w5
reg fert_yn l.d_fert_yn lnlabordays fe w2 w3 w4 w5

reg lncocoa  ln_hafullprod lnlabordays frachhdays hybridlandshare plotcount spraymch ///
fert_yn  insecticide  w2 w3 w4 w5 ,cluster(s0far)
outreg2 using cocoa, bdec(3) replace

xtreg lncocoa  ln_hafullprod lnlabordays frachhdays hybridlandshare plotcount spraymch  ///
fert_yn  insecticide  w2 w3 w4 w5 ,i(s0vil) fe robust
outreg2 using cocoa, bdec(3) append

xtreg lncocoa  ln_hafullprod lnlabordays frachhdays hybridlandshare plotcount spraymch ///
fert_yn  insecticide  w2 w3 w4 w5 ,i(s0far) fe robust
outreg2 using cocoa, bdec(3) append

tsset s0far wave
/*Diff-GMM syntax*/
xtabond2 lncocoa  ln_hafullprod lnlabordays frachhdays hybridlandshare plotcount spraymch ///
fert_yn  insecticide  w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays frachhdays hybridlandshare plotcount spraymch fert_yn  insecticide), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust noleveleq  twostep h(2)
outreg2 using cocoa, bdec(3) append


/*SYS-GMM syntax*/
xtabond2 lncocoa  ln_hafullprod lnlabordays frachhdays hybridlandshare plotcount spraymch ///
fert_yn  insecticide  w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays frachhdays hybridlandshare plotcount spraymch fert_yn  insecticide), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)
outreg2 using cocoa, bdec(3) append

/*SYS-GMM syntax*/
xtabond2 lncocoa  ln_hafullprod lnlabordays plotcount spraymch ///
fert_yn   w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays plotcount spraymch fert_yn  insecticide), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

/*SYS-GMM syntax*/
xtabond2 lncocoa  ln_hafullprod lnlabordays fert_yn  w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays fert_yn), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

/*SYS-GMM syntax*/
xtabond2 lncocoa l.lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide spraymch frachhdays plotcount hybridlandshare  w2 w3 w4 w5 if wave>2, ///
gmm((l.lncocoa ln_hafullprod lnlabordays  fert_yn insecticide spraymch frachhdays plotcount hybridlandshare), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

tsset s0far wave

reg d.lncocoa  d.ln_hafullprod d.lnlabordays d.frachhdays d.hybridlandshare d.plotcount d.spraymch ///
d.fert_yn  d.insecticide  w3 w4 w5 ,cluster(s0far)

outreg2 using cocoa, bdec(3) append


reg lncocoa ln_hafullprod lnlabordays frachhdays plotcount hybridlandshare ///
w2 w3 w4 w5 ,cluster(s0far)

xtreg lncocoa ln_hafullprod lnlabordays frachhdays plotcount hybridlandshare ///
w2 w3 w4 w5 ,i(s0far) fe

xtreg lncocoa ln_hafullprod plotcount  fert_yn ///
w2 w3 w4 w5 ,i(s0far) fe

xtreg lncocoa ln_hafullprod lnlabordays fert_yn insecticide ///
spraymch frachhdays plotcount hybridlandshare ///
w2 w3 w4 w5 ,i(s0far) fe robust


xtreg d.lncocoa d.ln_hafullprod d.lnlabordays d.fert_yn d.insecticide ///
d.spraymch d.frachhdays d.plotcount d.hybridlandshare ///
w3 w4 w5 ,i(s0far) fe 

/*Diff-GMM syntax*/
xtabond2 lncocoa l.lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide spraymch frachhdays plotcount hybridlandshare w2 w3 w4 w5 , ///
gmm((l.lncocoa ln_hafullprod lnlabordays fert_yn insecticide spraymch frachhdays plotcount hybridlandshare), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust noleveleq  twostep h(2)

/*SYS-GMM syntax*/
xtabond2 lncocoa l.lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide spraymch frachhdays plotcount hybridlandshare  w2 w3 w4 w5 if wave>2, ///
gmm((l.lncocoa ln_hafullprod lnlabordays  fert_yn insecticide spraymch frachhdays plotcount hybridlandshare), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

/*Diff-GMM syntax*/
xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide spraymch frachhdays plotcount hybridlandshare w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays fert_yn insecticide spraymch frachhdays plotcount hybridlandshare), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust noleveleq  twostep h(2)

/* Another way of getting this is to use "system" syntax 
(i.e. do not include nolev) and specify no instruments for the levels equation */

xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide spraymch frachhdays plotcount hybridlandshare w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays fert_yn insecticide spraymch frachhdays plotcount hybridlandshare), lag(2 3) eq(diff)) ///
iv(w2 w3 w4 w5 ,mz equation(diff)) robust twostep h(2)

/*SYS-GMM syntax*/
xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide spraymch frachhdays plotcount hybridlandshare  w2 w3 w4 w5 if wave>2, ///
gmm((ln_hafullprod lnlabordays  fert_yn insecticide spraymch frachhdays plotcount hybridlandshare), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

*same as
xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide spraymch frachhdays plotcount hybridlandshare w2 w3 w4 w5 if wave>2, ///
gmm((ln_hafullprod lnlabordays  fert_yn insecticide spraymch frachhdays plotcount hybridlandshare), lag(2 3) eq(diff)) ///
gmm(lncocoa ln_hafullprod lnlabordays fert_yn insecticide spraymch frachhdays plotcount hybridlandshare, ///
lag(1 1) eq(level)) iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

* Now drop the diff equation by specifying no instruments for diff eq - this gives the levels eq
xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide spraymch frachhdays plotcount hybridlandshare w2 w3 w4 w5 if wave>2, ///
gmm(lncocoa ln_hafullprod lnlabordays fert_yn insecticide spraymch frachhdays plotcount hybridlandshare, ///
lag(1 1) eq(level)) iv(w2 w3 w4 w5 ,mz) robust  twostep h(2) 

exit

gmm((ln_hafullprod lnlabordays), lag(3 3) eq(diff)) ///
gmm((fert_yn insecticide), lag(2 3) eq(diff)) gmm(lncocoa ln_hafullprod lnlabordays fert_yn insecticide, ///
lag(1 1) eq(level)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

* Now drop the diff equation by specifying no instruments for diff eq - this gives the levels eq
xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 if wave>2, ///
 gmm(lncocoa ln_hafullprod lnlabordays fert_yn insecticide, ///
lag(1 1) eq(level)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)


reg lncocoa ln_hafullprod lnlabordays fert_yn insecticide ///
spraymch frachhdays  hybridlandshare ///
w2 w3 w4 w5 ,cluster(s0far)

sort wave
by wave:sum lncocoa  ln_hafullprod lnlabordays fert_yn  insecticide
tsset s0far wave

reg d.lncocoa l.lncocoa

reg lncocoa l.lncocoa ln_hafullprod l.ln_hafullprod lnlabordays l.lnlabordays  ///
fert_yn l.fert_yn insecticide l.insecticide w2 w3 w4 w5 ,cluster(s0far)

xtreg lncocoa l.lncocoa ln_hafullprod l.ln_hafullprod lnlabordays l.lnlabordays  ///
fert_yn l.fert_yn insecticide l.insecticide w2 w3 w4 w5 ,i(s0far) fe robust

reg lncocoa l.lncocoa l2.lncocoa ln_hafullprod l.ln_hafullprod lnlabordays l.lnlabordays  ///
fert_yn l.fert_yn insecticide l.insecticide w2 w3 w4 w5 ,cluster(s0far)



/*Diff-GMM syntax*/
xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays fert_yn insecticide), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust noleveleq  twostep h(2)

/* Another way of getting this is to use "system" syntax 
(i.e. do not include nolev) and specify no instruments for the levels equation */

xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays fert_yn insecticide), lag(2 3) eq(diff)) ///
iv(w2 w3 w4 w5 ,mz equation(diff)) robust twostep h(2)

/*SYS-GMM syntax*/
xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 if wave>2, ///
gmm((ln_hafullprod lnlabordays), lag(3 3)) ///
gmm((fert_yn insecticide), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

*same as
xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 if wave>2, ///
gmm((ln_hafullprod lnlabordays), lag(3 3) eq(diff)) ///
gmm((fert_yn insecticide), lag(2 3) eq(diff)) gmm(lncocoa ln_hafullprod lnlabordays fert_yn insecticide, ///
lag(1 1) eq(level)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

* Now drop the diff equation by specifying no instruments for diff eq - this gives the levels eq
xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 if wave>2, ///
gmm((ln_hafullprod lnlabordays), lag(3 3) eq(diff)) ///
/*gmm((fert_yn insecticide), lag(2 3) eq(diff))*/ gmm(lncocoa ln_hafullprod lnlabordays fert_yn insecticide, ///
lag(1 1) eq(level)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

reg fert_yn w2 w3 w4 w5
reg lncocoa w2 w3 w4 w5
exit

*** Table 4, col v (sys-gmm)
xi: xtabond2 y n l.n k l.k l.y i.year , gmm(y n k, lag(2 .)) iv(i.year, equation(level)) robust h(1)
*same as:
xi: xtabond2 y n l.n k l.k l.y i.year , gmm(y n k, lag(2 .) eq(diff)) gmm(y n k, lag(1 1) eq(level)) iv(i.year, equation(level)) robust h(1)
* Now drop the diff equation by specifying no instruments for diff eq - this gives the levels eq
xi: xtabond2 y n l.n k l.k l.y i.year , /*gmm(y n k, lag(2 .) eq(diff))*/ gmm(y n k, lag(1 1) eq(level)) iv(i.year, equation(level)) robust h(1)
exit
exit


xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 if wave>2, ///
gmm((ln_hafullprod lnlabordays), lag(3 3)) ///
gmm((fert_yn insecticide), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)
outreg2 using cocoa, bdec(3) append

reg fert_yn l3.ln_hafullprod l3.lnlabordays
exit


reg lncocoa l.lncocoa ln_hafullprod lnlabordays ///
fert_yn  insecticide  w3 w4 w5 ,cluster(s0far)

xtreg lncocoa l.lncocoa ln_hafullprod lnlabordays ///
fert_yn  insecticide  w3 w4 w5 ,i(s0far) fe

reg d.lncocoa d.l.lncocoa d.ln_hafullprod d.lnlabordays ///
d.fert_yn  d.insecticide  w3 w4 w5 ,cluster(s0far)

sum d.lncocoa d.ln_hafullprod d.lnlabordays 

reg d.lncocoa  d.ln_hafullprod d.lnlabordays ///
d.fert_yn  d.insecticide  w3 w4 w5 ,cluster(s0far)

reg d.lncocoa  d.ln_hafullprod d.lnlabordays ///
d.fert_yn  d.insecticide  w3 w4 w5 if (d.lncocoa >-1 & d.lncocoa <1) & (d.ln_hafullprod>-1 & d.ln_hafullprod<1) ///
,cluster(s0far)

reg lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 , cluster(s0far)

sort s0far
by s0far: gen c=1 if e(sample)
by s0far: egen csum=sum(c) if e(sample)

reg d.lncocoa  d.ln_hafullprod d.lnlabordays ///
d.fert_yn  d.insecticide  w3 w4 w5 ,cluster(s0far)



xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 if fert_yn==1, ///
gmm((ln_hafullprod lnlabordays), lag(3 3)) ///
gmm((fert_yn insecticide), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 if fert_yn==0, ///
gmm((ln_hafullprod lnlabordays), lag(3 3)) ///
gmm((fert_yn insecticide), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)


xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays fert_yn insecticide), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust noleveleq  twostep h(2)


xtabond2 lncocoa ln_hafullprod lnlabordays   ///
fert_yn insecticide  w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays fert_yn insecticide), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)
sum 
exit

drop if d.lncocoa >5 | d.lncocoa <-5

reg d.lncocoa  d.ln_hafullprod d.lnlabordays ///
d.fert_yn  d.insecticide  w3 w4 w5 ,cluster(s0far)
exit
xtabond2 lncocoa l.lncocoa l2.lncocoa  ln_hafullprod l.ln_hafullprod lnlabordays l.lnlabordays  ///
fert_yn l.fert_yn insecticide l.insecticide w2 w3 w4 w5 , ///
gmm((l.lncocoa l2.lncocoa  ln_hafullprod l.ln_hafullprod lnlabordays l.lnlabordays  ///
fert_yn l.fert_yn insecticide l.insecticide ), lag(3 4)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)


xtabond2 lncocoa l.lncocoa ln_hafullprod l.ln_hafullprod lnlabordays l.lnlabordays  ///
fert_yn l.fert_yn insecticide l.insecticide w2 w3 w4 w5 , ///
gmm((l.lncocoa ln_hafullprod l.ln_hafullprod lnlabordays l.lnlabordays  ///
fert_yn l.fert_yn insecticide l.insecticide ), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust noleveleq twostep h(2)



xtabond2 lncocoa l.lncocoa ln_hafullprod lnlabordays fert_yn insecticide w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays fert_yn insecticide )) ///
iv(w2 w3 w4 w5 ,mz) robust twostep h(2)


xtabond2 lncocoa l.lncocoa ln_hafullprod lnlabordays fert_yn insecticide w2 w3 w4 w5 , ///
gmm((ln_hafullprod lnlabordays fert_yn insecticide ), lag(2 3)) ///
iv(w2 w3 w4 w5 ,mz) robust  twostep h(2)

reg lncocoa w2 w3 w4 w5 ln_hafullprod ln_labour_check fert_yn insecticide ,cluster(s0far)

xtreg lncocoa w2 w3 w4 w5 ln_hafullprod lnlabordays fert_yn insecticide ,i(s0far) fe
exit

foreach var of varlist ln_hafullprod lnlabordays {
				gen `var'_sq=`var'^2
				}
foreach var of varlist lncocoa ln_hafullprod lnlabordays fert_yn insecticide {
				gen `var'_2=l2.`var'
				}
foreach var of varlist lncocoa ln_hafullprod lnlabordays fert_yn insecticide {
				gen d2_`var'_2=l2.`var'
				}


tab s0far, gen(s0far_dum)

foreach num of numlist 1/845 {
				gen fert_yn`num'=s0far_dum`num'*fert_yn
				}


gen fert_inter=fert_yn*fert_yn_2


reg d2_lncocoa w2 w3 w4 w5 d2_ln_hafullprod d2_lnlabordays d2_fert_yn d2_insecticide ,cluster(s0far)
xtreg d2_lncocoa w2 w3 w4 w5 d2_ln_hafullprod d2_lnlabordays d2_fert_yn d2_insecticide ,i(s0far) fe

exit

sort year
by year: sum lncocoa w2 w3 w4  hafullprod cocoaland totland insecticide nnoboa_days hh_days paid_days hired_days fert_yn  lnlabordays


exit

* 1.2 regression with individual and village-year fixed effects

reg output amazon hybrid tq cocoaland ownland landvalue ///
age hh_head gender fert_qty insect_qty ///
landprep harvest maint planting inputs ///
dummy*

exit

*1.3 cobb douglas production function, pooled ols, clustered standar error

reg l_output l_amazon l_hybrid l_tq  l_cocoaland l_ownland l_landvalue ///
l_age hh_head gender l_fert_qty l_insect_qty ///
l_landprep l_harvest l_maint l_planting l_inputs,  vce(cluster v_id)
